Bug 1196046 - Process definitions from undeployed deployment unit are still available via definition service
Summary: Process definitions from undeployed deployment unit are still available via d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER6
: 6.1.0
Assignee: Alessandro Lazarotti
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 08:04 UTC by Radovan Synek
Modified: 2020-03-27 20:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:06:08 UTC
Type: Bug


Attachments (Terms of Use)
reproducer (29.86 KB, application/zip)
2015-02-25 08:04 UTC, Radovan Synek
no flags Details

Description Radovan Synek 2015-02-25 08:04:45 UTC
Created attachment 995008 [details]
reproducer

Description of problem:
Having business central deployed on EAP together with jBPM EJB application, after undeploying a deployment unit via EJB DeploymentService, process definitions are still available via EJB DefinitionService.

Version-Release number of selected component (if applicable):
6.1.0.ER5

Steps to Reproduce:
1. deploy business central to EAP, configure user account
2. build and deploy EJB app (see the attached reproducer), configure it to use the same DB schema as business central
3. run tests in reproducer project


reproducer:
maven project containing two modules:
- jBPM ejb-app
- tests invoking remote EJBs

Comment 1 Maciej Swiderski 2015-02-25 10:43:33 UTC
Radek,

this is actually expected. DefinitionService does provide information about process definitions as long as they can be executed in any way. That means it does not focus if the process can be started or not. As long as deployment is there definition service can and should provide details about definitions. Runtime services such as process service is responsible for rejecting requests that are towards inactive deployment unit.
Imagine situation that some custom application integrates with services and they do provide custom UI - for that definition service can be used to get hold of process variables types, or user task inputs and outputs to be able to successfully operate on already active process instances.

Does that make sense to you?

Comment 2 Radovan Synek 2015-02-25 11:45:40 UTC
As we've already discussed this via IRC, the problem is deployment unit has been completely undeployed, so the process definitions shouldn't be available, as there shouldn't be any running process instances.

Comment 4 Radovan Synek 2015-03-11 15:46:06 UTC
Verified with BPMS-6.1.0.ER6


Note You need to log in before you can comment on or make changes to this bug.